## lomiri-sounds 21.11

=== CMakeLists.txt ===
project (lomiri-sounds)
cmake_minimum_required (VERSION 3.13)

set(PACKAGE ${CMAKE_PROJECT_NAME})
set(PROJECT_VERSION 21.11)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

include(GNUInstallDirs)

install(DIRECTORY "${CMAKE_SOURCE_DIR}/share/sounds" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}")

=== debian/changelog ===
lomiri-sounds (21.11-2) unstable; urgency=medium

  * Re-upload as-is and source-only.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 31 Jan 2022 15:51:39 +0100

lomiri-sounds (21.11-1) unstable; urgency=medium

  [ Marius Gripsgard ]
  * Initial upload to Debian (Closes: #1000606).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 08 Dec 2021 16:00:54 +0100

## lomiri-sounds 22.02

=== CMakeLists.txt ===
project (lomiri-sounds)
cmake_minimum_required (VERSION 3.13)

set(PACKAGE ${CMAKE_PROJECT_NAME})
set(PROJECT_VERSION 22.02)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

include(GNUInstallDirs)

add_subdirectory(data)

install(DIRECTORY "${CMAKE_SOURCE_DIR}/share/sounds" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}")

=== debian/changelog ===
lomiri-sounds (22.02-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 18 Feb 2022 08:16:18 +0100

=== debian/control ===
Source: lomiri-sounds
Section: sound
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Marius Gripsgard <marius@ubports.com>,
Build-Depends: cmake,
               debhelper-compat (= 13)
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/core/lomiri-sounds
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-sounds.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-sounds

Package: lomiri-sounds
Architecture: all
Depends: ${misc:Depends}
Description: sounds for the Lomiri operating environment
 The Lomiri shell is the primary user interface for Lomiri based mobile
 devices.
 .
 Provides notification and ringtones sound effects for the Lomiri
 operating environment.

=== debian/watch ===
version=4
https://gitlab.com/ubports/core/lomiri-sounds/tags .*/lomiri-sounds-(\d\S+)\.tar\.gz

## lomiri-sounds 25.01

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required (VERSION 3.13)
 
 set(PACKAGE ${CMAKE_PROJECT_NAME})
-set(PROJECT_VERSION 22.02)
+set(PROJECT_VERSION 25.01)
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)

=== data/CMakeLists.txt ===
# lomiri-sounds.pc

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/lomiri-sounds.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/lomiri-sounds.pc" @ONLY)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/lomiri-sounds.pc" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/pkgconfig/")

=== debian/changelog ===
lomiri-sounds (25.01-2) unstable; urgency=medium

  * debian/changelog:
    + post-upload fix my mail address
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
    + Add Multi-Arch: foreign declaration. Thanks, Multi-Arch Hinter.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 14 Aug 2025 16:43:01 +0200

lomiri-sounds (25.01-1) unstable; urgency=medium

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml

  [ Mike Gabriel ]
  * New upstream release.
  * debian/:
    + Update upstream Git repo URL.
    + Bump Standards-Version: to 4.7.0. No changes needed.
  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Jan 2025 17:01:36 +0100

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,15 @@
  Marius Gripsgard <marius@ubports.com>,
 Build-Depends: cmake,
                debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: https://gitlab.com/ubports/core/lomiri-sounds
+Homepage: https://gitlab.com/ubports/development/core/lomiri-sounds
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-sounds.git
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-sounds
 
 Package: lomiri-sounds
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: sounds for the Lomiri operating environment
  The Lomiri shell is the primary user interface for Lomiri based mobile

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
